> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Import Job

> A `POST` to the `/imports/{importId}/jobs` endpoint allows your application to queue another job for this import.



## OpenAPI

````yaml post /v3/imports/{import}/jobs
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/imports/{import}/jobs:
    post:
      tags:
        - Import Job
      summary: Add Import Job
      description: >-
        A `POST` to the `/imports/{importId}/jobs` endpoint allows your
        application to queue another job for this import.
      operationId: imports.jobs.store
      parameters:
        - name: import
          in: path
          required: true
          description: The import ID
          schema:
            type: integer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StoreImportJob'
      responses:
        '200':
          description: '`ImportJob`'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ImportJob'
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    StoreImportJob:
      type: object
      properties:
        status:
          type: string
          enum:
            - SUCCESS
            - FAILED
            - PENDING
            - PROCESSING
        handler:
          type: string
        data:
          type: array
          items:
            type: string
          minItems: 1
        result:
          type:
            - array
            - 'null'
          items:
            type: string
      required:
        - status
        - handler
        - data
      title: StoreImportJob
    ImportJob:
      type: object
      properties:
        id:
          type: integer
        import_id:
          type: integer
        status:
          type: string
        handler:
          type: string
        result:
          type:
            - array
            - 'null'
          items: {}
        data:
          type:
            - array
            - 'null'
          items: {}
        total_batch_count:
          type:
            - integer
            - 'null'
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - import_id
        - status
        - handler
        - result
        - data
        - total_batch_count
        - created_at
        - updated_at
      title: ImportJob
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors

````